Bug 58379 - Mono jit gives different results that .net for simple il
Summary: Mono jit gives different results that .net for simple il
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: 5.0 (2017-02)
Hardware: Other Linux
: --- normal
Target Milestone: ---
Assignee: Rodrigo Kumpera
URL:
Depends on:
Blocks:
 
Reported: 2017-07-25 16:46 UTC by Carlo Kok
Modified: 2017-08-15 01:43 UTC (History)
4 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Testcase il (3.05 KB, text/plain)
2017-07-25 16:46 UTC, Carlo Kok
Details

Description Carlo Kok 2017-07-25 16:46:43 UTC
Created attachment 23796 [details]
Testcase il

Ilasm the IL below, run it with mono and .net and notice the difference in stdout:
         .NET: 0F-00
         Mono: 0E-00

Somehow the indirect reference seems to get jitted wrong.
Comment 1 Rodrigo Kumpera 2017-08-07 23:10:33 UTC
Working on it.
Comment 2 Rodrigo Kumpera 2017-08-15 01:43:42 UTC
Fixed on master. https://github.com/mono/mono/pull/5355

Notice (2018-05-21): bugzilla.xamarin.com will be switching to read-only mode on Thursday, 2018-05-25 22:00 UTC.

Please join us on Visual Studio Developer Community and GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs and copy them to the new locations as needed for follow-up. The See Also field on each Bugzilla bug will be updated with a link to its new location when applicable.

After Bugzilla is read-only, if you have new information to add for a bug that does not yet have a matching issue on Developer Community or GitHub, you can create a follow-up issue in the new location. Copy and paste the title and description from this bug, and then add your new details. You can get a pre-formatted version of the title and description here:

In special cases you might also want the comments:

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.

Note You need to log in before you can comment on or make changes to this bug.